""" 
 *
 * Jon Klooster (2005)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
""" 



#!/usr/bin/python
import time
import random
import elexol

#===============================================================================
# you probably want to call this each time your program starts
def reset_device(ip,port):
  elexol.write_pin(ip,port,'A',0,0)

#===============================================================================
# this is an example of setting individual bits
def party_lights(ip,port):
  pin = 1
  while pin<=4:
    elexol.write_pin(ip,port,'A',pin*2-1,0)
    elexol.write_pin(ip,port,'A',pin*2,1)
    pin += 1
  time.sleep(1)
  pin = 1
  while pin<=4:
    elexol.write_pin(ip,port,'A',pin*2-1,1)
    elexol.write_pin(ip,port,'A',pin*2,0)
    pin += 1
  time.sleep(1)

#===============================================================================
# this is an example of setting the entire value for the port
def count_dracula(ip,port):
  i = 0
  while i<255:
    elexol.write_pin(ip,port,'A',0,i)
    time.sleep(0.01)
    i += 1

#===============================================================================
# this is an example of stupidity
def nite_rider(ip,port):
  speed = 0.05
  pin = 2
  while pin<8:
    elexol.write_pin(ip,port,'A',pin-1,1)
    time.sleep(speed)
    elexol.write_pin(ip,port,'A',pin,1)
    time.sleep(speed)
    elexol.write_pin(ip,port,'A',pin-1,0)
    time.sleep(speed)
    pin += 1
  while pin>=1:
    elexol.write_pin(ip,port,'A',pin,1)
    time.sleep(speed)
    elexol.write_pin(ip,port,'A',pin-1,1)
    time.sleep(speed)
    elexol.write_pin(ip,port,'A',pin,0)
    time.sleep(speed)
    pin -= 1

