""" 
 *
 * Jon Klooster (2005)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
""" 


#!/usr/bin/python
import interface

#===============================================================================
# configuration
ELEXOL_IP   = '10.10.10.23'  # elexol device IP
PORT_NUMBER = 2424        # elexol device IP Port

#===============================================================================
# reset device
interface.reset_device(ELEXOL_IP,PORT_NUMBER)

#===============================================================================
# main loop
while 1:
  interface.reset_device(ELEXOL_IP,PORT_NUMBER)
  interface.count_dracula(ELEXOL_IP,PORT_NUMBER)
  interface.reset_device(ELEXOL_IP,PORT_NUMBER)
  interface.party_lights(ELEXOL_IP,PORT_NUMBER)
  interface.party_lights(ELEXOL_IP,PORT_NUMBER)
  interface.reset_device(ELEXOL_IP,PORT_NUMBER)
  interface.nite_rider(ELEXOL_IP,PORT_NUMBER)
  interface.nite_rider(ELEXOL_IP,PORT_NUMBER)

